package cn.com.ctop.common.module.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

public class ByteDanceReportAccountDailyDTOEntity extends BaseRowModel {
    @ExcelProperty(index = 1, value = "项目名称")
    private String projectName;
    @ExcelProperty(index = 2, value = "广告主")
    private String advertiserName;

    @ExcelProperty(index = 3, value = "运营负责人")
    private String responsibleName;
    @ExcelProperty(index = 4, value = "设计负责人")
    private String designResponsibleName;
    @ExcelProperty(index = 5, value = "销售")
    private String saleName;
    @ExcelProperty(index = 6, value = "时间")
    private String statDate;
    @ExcelProperty(index = 7, value = "消耗")
    private BigDecimal cost;
    @ExcelProperty(index = 8, value = "激活")
    private Long active;
    @ExcelProperty(index = 9, value = "安卓下载完成")
    private Long downloadFinish;
    @ExcelProperty(index = 10, value = "安卓下载开始")
    private Long downloadStart;
    @ExcelProperty(index = 11, value = "安卓安装完成")
    private Long installFinish;
    @ExcelProperty(index = 12, value = "注册")
    private Long register;
    @ExcelProperty(index = 13, value = "付费数")
    private Long payCount;
    @ExcelProperty(index = 14, value = "表单提交数")
    private Long form;
    @ExcelProperty(index = 15, value = "总播放")
    private Long totalPlay;
    @ExcelProperty(index = 16, value = "有效播放")
    private Long validPlay;
    @ExcelProperty(index = 17, value = "wifi播放")
    private Long wifiPlay;
    @ExcelProperty(index = 18, value = "25%进度播放率")
    private BigDecimal play25FeedBreakRate;
    @ExcelProperty(index = 19, value = "播放25%进度总数")
    private Long play25FeedBreak;
    @ExcelProperty(index = 20, value = "播放50%进度总数")
    private Long play50FeedBreak;
    @ExcelProperty(index = 21, value = "播放75%进度总数")
    private Long play75FeedBreak;
    @ExcelProperty(index = 22, value = "播放100%进度总数")
    private Long play100FeedBreak;
    @ExcelProperty(index = 23, value = "分享数")
    private Long shareMaterial;
    @ExcelProperty(index = 24, value = "新增关注数")
    private Long follow;
    @ExcelProperty(index = 25, value = "次留数")
    private Long nextDayOpen;
    @ExcelProperty(index = 26, value = "次留率")
    private BigDecimal nextDayOpenRate;
    @ExcelProperty(index = 27, value = "次留成本")
    private BigDecimal nextDayOpenCost;
    @ExcelProperty(index = 28, value = "转化数")
    private Long convertMaterial;
    @ExcelProperty(index = 29, value = "点击单价")
    private BigDecimal cpc;
    @ExcelProperty(index = 30, value = "点击率")
    private BigDecimal ctr;
    @ExcelProperty(index = 31, value = "平均千次展现费用")
    private BigDecimal cpm;
    @ExcelProperty(index = 32, value = "点赞数")
    private Long likeMaterial;
    @ExcelProperty(index = 33, value = "激活成本")
    private BigDecimal activeCost;
    @ExcelProperty(index = 34, value = "激活率")
    private BigDecimal activeRate;
    @ExcelProperty(index = 35, value = "注册率")
    private BigDecimal activeRegisterRate;
    @ExcelProperty(index = 36, value = "注册成本")
    private BigDecimal activeRegisterCost;
    @ExcelProperty(index = 37, value = "展示数")
    private Long showMaterial;
    @ExcelProperty(index = 38, value = "转化率")
    private BigDecimal convertRate;
    @ExcelProperty(index = 39, value = "转化成本")
    private BigDecimal convertCost;
    @ExcelProperty(index = 40, value = "点击数")
    private Long clickMaterial;
    @ExcelProperty(index = 41, value = "点击安装数")
    private Long clickInstall;

    public ByteDanceReportAccountDailyDTOEntity(String projectName, String advertiserName, String responsibleName, String designResponsibleName, String saleName, String statDate, BigDecimal cost, Long active, Long downloadFinish, Long downloadStart, Long installFinish, Long register, Long payCount, Long form, Long totalPlay, Long validPlay, Long wifiPlay, BigDecimal play25FeedBreakRate, Long play25FeedBreak, Long play50FeedBreak, Long play75FeedBreak, Long play100FeedBreak, Long shareMaterial, Long follow, Long nextDayOpen, BigDecimal nextDayOpenRate, BigDecimal nextDayOpenCost, Long convertMaterial, BigDecimal cpc, BigDecimal ctr, BigDecimal cpm, Long likeMaterial, BigDecimal activeCost, BigDecimal activeRate, BigDecimal activeRegisterRate, BigDecimal activeRegisterCost, Long showMaterial, BigDecimal convertRate, BigDecimal convertCost, Long clickMaterial, Long clickInstall) {
        this.projectName = projectName;
        this.advertiserName = advertiserName;
        this.responsibleName = responsibleName;
        this.designResponsibleName = designResponsibleName;
        this.saleName = saleName;
        this.statDate = statDate;
        this.cost = cost;
        this.active = active;
        this.downloadFinish = downloadFinish;
        this.downloadStart = downloadStart;
        this.installFinish = installFinish;
        this.register = register;
        this.payCount = payCount;
        this.form = form;
        this.totalPlay = totalPlay;
        this.validPlay = validPlay;
        this.wifiPlay = wifiPlay;
        this.play25FeedBreakRate = play25FeedBreakRate;
        this.play25FeedBreak = play25FeedBreak;
        this.play50FeedBreak = play50FeedBreak;
        this.play75FeedBreak = play75FeedBreak;
        this.play100FeedBreak = play100FeedBreak;
        this.shareMaterial = shareMaterial;
        this.follow = follow;
        this.nextDayOpen = nextDayOpen;
        this.nextDayOpenRate = nextDayOpenRate;
        this.nextDayOpenCost = nextDayOpenCost;
        this.convertMaterial = convertMaterial;
        this.cpc = cpc;
        this.ctr = ctr;
        this.cpm = cpm;
        this.likeMaterial = likeMaterial;
        this.activeCost = activeCost;
        this.activeRate = activeRate;
        this.activeRegisterRate = activeRegisterRate;
        this.activeRegisterCost = activeRegisterCost;
        this.showMaterial = showMaterial;
        this.convertRate = convertRate;
        this.convertCost = convertCost;
        this.clickMaterial = clickMaterial;
        this.clickInstall = clickInstall;
    }

    public ByteDanceReportAccountDailyDTOEntity() {
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getAdvertiserName() {
        return advertiserName;
    }

    public void setAdvertiserName(String advertiserName) {
        this.advertiserName = advertiserName;
    }

    public String getResponsibleName() {
        return responsibleName;
    }

    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }

    public String getDesignResponsibleName() {
        return designResponsibleName;
    }

    public void setDesignResponsibleName(String designResponsibleName) {
        this.designResponsibleName = designResponsibleName;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public String getStatDate() {
        return statDate;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public Long getActive() {
        return active;
    }

    public void setActive(Long active) {
        this.active = active;
    }

    public Long getDownloadFinish() {
        return downloadFinish;
    }

    public void setDownloadFinish(Long downloadFinish) {
        this.downloadFinish = downloadFinish;
    }

    public Long getDownloadStart() {
        return downloadStart;
    }

    public void setDownloadStart(Long downloadStart) {
        this.downloadStart = downloadStart;
    }

    public Long getInstallFinish() {
        return installFinish;
    }

    public void setInstallFinish(Long installFinish) {
        this.installFinish = installFinish;
    }

    public Long getRegister() {
        return register;
    }

    public void setRegister(Long register) {
        this.register = register;
    }

    public Long getPayCount() {
        return payCount;
    }

    public void setPayCount(Long payCount) {
        this.payCount = payCount;
    }

    public Long getForm() {
        return form;
    }

    public void setForm(Long form) {
        this.form = form;
    }

    public Long getTotalPlay() {
        return totalPlay;
    }

    public void setTotalPlay(Long totalPlay) {
        this.totalPlay = totalPlay;
    }

    public Long getValidPlay() {
        return validPlay;
    }

    public void setValidPlay(Long validPlay) {
        this.validPlay = validPlay;
    }

    public Long getWifiPlay() {
        return wifiPlay;
    }

    public void setWifiPlay(Long wifiPlay) {
        this.wifiPlay = wifiPlay;
    }

    public BigDecimal getPlay25FeedBreakRate() {
        return play25FeedBreakRate;
    }

    public void setPlay25FeedBreakRate(BigDecimal play25FeedBreakRate) {
        this.play25FeedBreakRate = play25FeedBreakRate;
    }

    public Long getPlay25FeedBreak() {
        return play25FeedBreak;
    }

    public void setPlay25FeedBreak(Long play25FeedBreak) {
        this.play25FeedBreak = play25FeedBreak;
    }

    public Long getPlay50FeedBreak() {
        return play50FeedBreak;
    }

    public void setPlay50FeedBreak(Long play50FeedBreak) {
        this.play50FeedBreak = play50FeedBreak;
    }

    public Long getPlay75FeedBreak() {
        return play75FeedBreak;
    }

    public void setPlay75FeedBreak(Long play75FeedBreak) {
        this.play75FeedBreak = play75FeedBreak;
    }

    public Long getPlay100FeedBreak() {
        return play100FeedBreak;
    }

    public void setPlay100FeedBreak(Long play100FeedBreak) {
        this.play100FeedBreak = play100FeedBreak;
    }

    public Long getShareMaterial() {
        return shareMaterial;
    }

    public void setShareMaterial(Long shareMaterial) {
        this.shareMaterial = shareMaterial;
    }

    public Long getFollow() {
        return follow;
    }

    public void setFollow(Long follow) {
        this.follow = follow;
    }

    public Long getNextDayOpen() {
        return nextDayOpen;
    }

    public void setNextDayOpen(Long nextDayOpen) {
        this.nextDayOpen = nextDayOpen;
    }

    public BigDecimal getNextDayOpenRate() {
        return nextDayOpenRate;
    }

    public void setNextDayOpenRate(BigDecimal nextDayOpenRate) {
        this.nextDayOpenRate = nextDayOpenRate;
    }

    public BigDecimal getNextDayOpenCost() {
        return nextDayOpenCost;
    }

    public void setNextDayOpenCost(BigDecimal nextDayOpenCost) {
        this.nextDayOpenCost = nextDayOpenCost;
    }

    public Long getConvertMaterial() {
        return convertMaterial;
    }

    public void setConvertMaterial(Long convertMaterial) {
        this.convertMaterial = convertMaterial;
    }

    public BigDecimal getCpc() {
        return cpc;
    }

    public void setCpc(BigDecimal cpc) {
        this.cpc = cpc;
    }

    public BigDecimal getCtr() {
        return ctr;
    }

    public void setCtr(BigDecimal ctr) {
        this.ctr = ctr;
    }

    public BigDecimal getCpm() {
        return cpm;
    }

    public void setCpm(BigDecimal cpm) {
        this.cpm = cpm;
    }

    public Long getLikeMaterial() {
        return likeMaterial;
    }

    public void setLikeMaterial(Long likeMaterial) {
        this.likeMaterial = likeMaterial;
    }

    public BigDecimal getActiveCost() {
        return activeCost;
    }

    public void setActiveCost(BigDecimal activeCost) {
        this.activeCost = activeCost;
    }

    public BigDecimal getActiveRate() {
        return activeRate;
    }

    public void setActiveRate(BigDecimal activeRate) {
        this.activeRate = activeRate;
    }

    public BigDecimal getActiveRegisterRate() {
        return activeRegisterRate;
    }

    public void setActiveRegisterRate(BigDecimal activeRegisterRate) {
        this.activeRegisterRate = activeRegisterRate;
    }

    public BigDecimal getActiveRegisterCost() {
        return activeRegisterCost;
    }

    public void setActiveRegisterCost(BigDecimal activeRegisterCost) {
        this.activeRegisterCost = activeRegisterCost;
    }

    public Long getShowMaterial() {
        return showMaterial;
    }

    public void setShowMaterial(Long showMaterial) {
        this.showMaterial = showMaterial;
    }

    public BigDecimal getConvertRate() {
        return convertRate;
    }

    public void setConvertRate(BigDecimal convertRate) {
        this.convertRate = convertRate;
    }

    public BigDecimal getConvertCost() {
        return convertCost;
    }

    public void setConvertCost(BigDecimal convertCost) {
        this.convertCost = convertCost;
    }

    public Long getClickMaterial() {
        return clickMaterial;
    }

    public void setClickMaterial(Long clickMaterial) {
        this.clickMaterial = clickMaterial;
    }

    public Long getClickInstall() {
        return clickInstall;
    }

    public void setClickInstall(Long clickInstall) {
        this.clickInstall = clickInstall;
    }
}
